Package org.apache.felix.http.base.internal.handler

## Class ServletConfigImpl

- java.lang.Object
- - org.apache.felix.http.base.internal.handler.ServletConfigImpl

All Implemented Interfaces:
  `javax.servlet.ServletConfig`

    public final class ServletConfigImpl
    extends Object
    implements javax.servlet.ServletConfig

Implementation of the servlet configuration

### Constructor Summary

Constructors
`ServletConfigImpl​(String name, javax.servlet.ServletContext context, Map<String,​String> initParams)`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getInitParameter​(String name)`
`Enumeration<String>` `getInitParameterNames()`
`javax.servlet.ServletContext` `getServletContext()`
`String` `getServletName()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ServletConfigImpl

    public ServletConfigImpl​(String name,
                             javax.servlet.ServletContext context,
                             Map<String,​String> initParams)

### Method Detail

#### getServletName

    public String getServletName()

Specified by:
  `getServletName` in interface `javax.servlet.ServletConfig`

#### getServletContext

    public javax.servlet.ServletContext getServletContext()

Specified by:
  `getServletContext` in interface `javax.servlet.ServletConfig`

#### getInitParameter

    public String getInitParameter​(String name)

Specified by:
  `getInitParameter` in interface `javax.servlet.ServletConfig`

#### getInitParameterNames

    public Enumeration<String> getInitParameterNames()

Specified by:
  `getInitParameterNames` in interface `javax.servlet.ServletConfig`